StreamBase C++ API 10.3.0.4

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
sb::StreamProperties Class Reference

Properties of a single stream. More...

`#include <StreamProperties.hpp>`

## Public Types
enum | CaptureTransformStrategy { FLATTEN, NEST, RAW }
| Determines the method StreamBase will use to expose capture fields to client dequeuers. More...

## Public Member Functions
| StreamProperties ()
| Null constructor. Object will have no name and no schema. More...
const std::string & | getQualifiedName () const
| Returns the fully qualified name of the stream. More...
const std::string & | getName () const
| Returns the name part of the stream. More...
const std::string & | getContainerName () const
| Returns the container part of the stream. More...
const Schema & | getSchema () const
| Returns the schema of the stream. More...
CaptureTransformStrategy | getCaptureTransformStrategy () const
const std::string & | hashString () const
| Returns the hash of the stream in binary. More...
const std::string & | hexString () const
const size_t | hashValue () const
bool | operator< (const StreamProperties &other) const
bool | operator== (const StreamProperties &other) const
bool | operator!= (const StreamProperties &other) const

## Static Public Member Functions
static StreamProperties | fromXml (const std::string &input)
| Parse and return a StreamProperties from an XML String. More...

## Detailed Description

Properties of a single stream.

Returned by StreamBaseClient::getStreamProperties().

## Member Enumeration Documentation

enum sb::StreamProperties::CaptureTransformStrategy

Determines the method StreamBase will use to expose capture fields to client dequeuers.

The default is FLATTEN.

## Constructor & Destructor Documentation

sb::StreamProperties::StreamProperties | ( |  | ) |
| inline

Null constructor. Object will have no name and no schema.

## Member Function Documentation

static StreamProperties sb::StreamProperties::fromXml | ( | const std::string & | input | ) |
| static

Parse and return a StreamProperties from an XML String.

The root tag must be <stream>.

const std::string& sb::StreamProperties::getContainerName | ( |  | ) | const
| inline

Returns the container part of the stream.

const std::string& sb::StreamProperties::getName | ( |  | ) | const
| inline

Returns the name part of the stream.

const std::string& sb::StreamProperties::getQualifiedName | ( |  | ) | const
| inline

Returns the fully qualified name of the stream.

const Schema& sb::StreamProperties::getSchema | ( |  | ) | const
| inline

Returns the schema of the stream.

const std::string& sb::StreamProperties::hashString | ( |  | ) | const
| inline

Returns the hash of the stream in binary.

The documentation for this class was generated from the following file:

- StreamProperties.hpp